export enum Colors {
  Primary = 'var(--bole-color-primary)',
  Success = 'var(--bole-color-success)',
  Warning = 'var(--bole-color-warning)',
  Danger = 'var(--bole-color-danger)',
  Info = 'var(--bole-color-info)',
}

export enum OrderInputType {
  /**
   * 升序
   */
  Asc,
  /**
   * 降序
   */
  Desc,
}

export enum AreaType {
  /**
   * 省
   */
  Province = 1,
  /**
   * 市
   */
  City,
  /**
   * 区
   */
  Area,
  /**
   * 城镇
   */
  Town,
}

export enum VerificationCodeBusinessType {
  /**
   * 手机验证码登录
   */
  PhoneMesssageCodeLogin = 10,
  /**
   * 手机验证码注册
   */
  PhoneMesssageCodeRegister = 11,
  /**
   * 用户认证审核验证码
   */
  UserCertificationAudit = 20,
  /**
   * 用户更改登录手机号验证码
   */
  ChangeUserPhoneNumberForUser = 30,
  /**
   * 用户根据手机号修改密码验证码
   */
  ChangePasswordFromPhoneNumber = 40,
  /**
   * 保险合作提交验证码
   */
  CreateOrUpdateCooperationApply = 50,
  /**
   * 绑定用户邮箱验证码
   */
  BindUserEmail = 51,
  /**
   * 银行钱包开户验证码
   */
  BankWalletAccountOpen = 60,
  /**
   * 用户认证手机号认证
   */
  UserCertificationPhoneCertification = 900,
  /**
   * 用户认证银行卡认证(第三方)
   */
  UserCertificationBankCardCertification = 910,
}

export enum WxMiniAppEnum {
  /**
   * 行业资讯小程序
   */
  行业资讯 = 10,
  /**
   * 人单合一小程序
   */
  人单合一 = 20,
}

/**
 * @description AuthType即将作废 现在用EnterpriseType 目前两个值相同
 */
export enum EnterpriseType {
  /**
   * 人力资源公司
   */
  HREnterprise = 10,
  /**
   * 甲方企业
   */
  FirstPartyCompany = 20,
  /**
   * 行业配套
   */
  IndustryMating = 30,
  /**
   * 行业机构
   */
  IndustryBody = 40,
}

export const EnterpriseTypeText = {
  [EnterpriseType.HREnterprise]: '人力资源公司',
  [EnterpriseType.FirstPartyCompany]: '甲方企业',
  [EnterpriseType.IndustryMating]: '行业配套',
  [EnterpriseType.IndustryBody]: '行业机构',
};

export const TempFolderPath = 'https://parkmanagement.oss-cn-hangzhou.aliyuncs.com/flexJob/temp';

export enum BusinessSettingType {
  /**
   * 用户认证相关配置
   */
  UserCertification = 10,
}
